diff --git a/drupal7/sites/all/modules/date/date_views/includes/date_views_plugin_pager.inc b/drupal7/sites/all/modules/date/date_views/includes/date_views_plugin_pager.inc
index 1addd200..7cdab30a 100644
--- a/drupal7/sites/all/modules/date/date_views/includes/date_views_plugin_pager.inc
+++ b/drupal7/sites/all/modules/date/date_views/includes/date_views_plugin_pager.inc
@@ -1,100 +1,88 @@
 <?php
+
 /**
  * @file
  * Date pager.
- * Works with a Date argument, the argument filters
- * the view and the pager provides back/next navigation.
+ *
+ * Works with a Date argument, the argument filters the view and the pager
+ * provides back/next navigation.
  *
  * USER NOTES:
  *
  * To use this, add a pager to a view, and choose the option to 'Page by date'.
  * There are several settings:
- * - The pager id: Set an id to be used as the identifier
- *    in the url for pager values, defaults to 'date'.
- * - Pager position: Choose whether to display the date
- *    pager above, below, or both above and below the content.
- * - Link format: Choose whether the pager links will be in t
- *    he simple 'calendar/2011-12' format or the
- *    more complex 'calendar/?date=2011-12' pager format.
- *    The second one is more likely to work correctly
- *    if the pager is used in blocks and panels.
+ * - The pager id: Set an id to be used as the identifier in the URL for pager
+ *   values, defaults to 'date'.
+ * - Pager position: Choose whether to display the date pager above, below, or
+ *   both above and below the content.
+ * - Link format: Choose whether the pager links will be in the simple
+ *   'calendar/2011-12' format or the more complex 'calendar/?date=2011-12'
+ *   pager format. The second one is more likely to work correctly if the pager
+ *   is used in blocks and panels.
  *
- * The pager works in combination with a Date argument
- * and it will use the date fields and granularity
- * set in that argument to create its back/next links.
- * If the view has no Date argument, the pager can
- * do nothing. The argument can either be a 'Date' argument
- * that lets you select one or more date fields
- * in the argument, or the simple 'Content' argument for an
- * individual date field. It must be an
- * argument that uses the date argument handler.
+ * The pager works in combination with a Date argument and it will use the date
+ * fields and granularity set in that argument to create its back/next links. If
+ * the view has no Date argument, the pager can do nothing. The argument can
+ * either be a 'Date' argument that lets you select one or more date fields in
+ * the argument, or the simple 'Content' argument for an individual date field.
+ * It must be an argument that uses the date argument handler.
  *
  * DEVELOPER NOTES
  *
- * The pager could technically create a query of its own rather
- * than depending on the date argument to
- * set the query, but it has only a limited set of tools to work
- * with because it is a plugin, not a handler:
- * it has no knowledge about relationships, it cannot use the
- * ensure_my_table() function, plugins are not even invoked in pre_query(),
- * so can't do anything there.
+ * The pager could technically create a query of its own rather than depending
+ * on the date argument to set the query, but it has only a limited set of tools
+ * to work with because it is a plugin, not a handler: it has no knowledge about
+ * relationships, it cannot use the ensure_my_table() function, plugins are not
+ * even invoked in pre_query(), so can't do anything there.
  *
- * My conclusion was that the date pager simply
- * is not powerful enough to create its own queries for
- * date fields, which require very complex queries.
- * Instead, we can combine this with a date argument and
- * let the argument create the query and let the pager
- * just provide the back/next links. If there is no
- * date argument, the pager will do nothing.
+ * My conclusion was that the date pager simply is not powerful enough to create
+ * its own queries for date fields, which require very complex queries. Instead,
+ * we can combine this with a date argument and let the argument create the
+ * query and let the pager just provide the back/next links. If there is no date
+ * argument, the pager will do nothing.
  *
- * There are still other problems. The pager is not even
- * initialized until after all the handlers
- * have created their queries, so it has no chance
- * to alter values ahead of that. And the argument
- * has no knowledge of the pager, so it can't check
- * for pager values before the query is created.
+ * There are still other problems. The pager is not even initialized until after
+ * all the handlers have created their queries, so it has no chance to alter
+ * values ahead of that. And the argument has no knowledge of the pager, so it
+ * can't check for pager values before the query is created.
  *
- * The solution used here is to let the argument create
- * the original query. The pager query
- * runs after that, so the pager checks to see
- * if there is a pager value that needs to be used in the query.
- * The date argument has identified the placeholders
- * it used in the query. So if a change is needed,
- * we can swap the pager value into the query created
- * by the date argument and adjust the
- * $view->date_info values set by the argument accordingly
- * so the theme will pick up the new information.
+ * The solution used here is to let the argument create the original query. The
+ * pager query runs after that, so the pager checks to see if there is a pager
+ * value that needs to be used in the query. The date argument has identified
+ * the placeholders it used in the query. So if a change is needed, we can swap
+ * the pager value into the query created by the date argument and adjust the
+ * $view->date_info values set by the argument accordingly so the theme will
+ * pick up the new information.
  */
 
 /**
- * Example plugin to handle paging by month.
+ * Views pager plugin to page by month.
  */
-// @codingStandardsIgnoreStart
 class date_views_plugin_pager extends views_plugin_pager {
 
   /**
-   * This kind of pager does not need to count the number of records.
+   * {@inheritdoc}
    */
   function use_count_query() {
     return FALSE;
   }
 
   /**
-   * Because we don't know how many pages there are, we never believe there are more records.
+   * {@inheritdoc}
    */
   function has_more_records() {
     return FALSE;
   }
 
-  /*
-   * Tell Views what this pager's setting is.
+  /**
+   * {@inheritdoc}
    */
   function summary_title() {
     return t("Position: @position, format: @format.", array('@position' => $this->options['pager_position'], '@format' => $this->options['link_format']));
   }
 
   /**
-   * Tell Views what options this plugin can store.
+   * {@inheritdoc}
    */
   function option_definition() {
     $options = parent::option_definition();
@@ -107,8 +95,8 @@ class date_views_plugin_pager extends views_plugin_pager {
     return $options;
   }
 
-  /*
-   * Provide the form for setting options.
+  /**
+   * {@inheritdoc}
    */
   function options_form(&$form, &$form_state) {
     $form['markup']['#markup'] = t('This pager works together with a Date or Content date field contextual filter. If a Date filter has been added to the view, this pager will provide back/next paging to match the granularity of that filter (i.e. paging by year, month, week, or day). The filter must also be configured to use a DATE default value. If there is no Date contextual filter on this view, or if it has not been set to use a default date, the pager will not appear.');
@@ -148,13 +136,11 @@ class date_views_plugin_pager extends views_plugin_pager {
   }
 
   /**
-   * Transfer date information from the argument to the view so the pager theme can use it
-   * and update the date argument value to whatever is set by the pager.
+   * {@inheritdoc}
    */
   function query() {
-
-    // By fetching our data from the exposed input, it is possible to
-    // feed pager data through some method other than $_GET.
+    // By fetching our data from the exposed input, it is possible to feed
+    // pager data through some method other than $_GET.
     $input = $this->view->get_exposed_input();
     $value = NULL;
     if (!empty($input) && !empty($input[$this->options['date_id']])) {
@@ -166,15 +152,15 @@ class date_views_plugin_pager extends views_plugin_pager {
     foreach ($this->view->argument as $id => &$argument) {
       if (date_views_handler_is_date($argument, 'argument')) {
 
-        // If the argument is empty, nothing to do. This could be from
-        // an argument that does not set a default value.
+        // If the argument is empty, nothing to do. This could be from an
+        // argument that does not set a default value.
         if (empty($argument->argument) || empty($argument->date_handler)) {
           continue;
         }
 
-        // Storing this information in the pager so it's available for summary info.
-        // The view argument information is not otherwise accessible to the pager.
-        // Not working right yet, tho.
+        // Storing this information in the pager so it's available for summary
+        // info. The view argument information is not otherwise accessible to
+        // the pager. Not working right yet, tho.
         $date_handler = $argument->date_handler;
         $this->options['date_argument'] = $id;
         $this->options['granularity'] = $argument->date_handler->granularity;
@@ -189,8 +175,9 @@ class date_views_plugin_pager extends views_plugin_pager {
           $this->view->build_info['fail'] = TRUE;
           return;
         }
-        // Write date_info to store information to be used
-        // in the theming functions.
+
+        // Write date_info to store information to be used in the theming
+        // functions.
         if (empty($this->view->date_info)) {
           $this->view->date_info = new stdClass();
         }
@@ -205,8 +192,9 @@ class date_views_plugin_pager extends views_plugin_pager {
         $this->view->date_info->date_pager_position = $this->options['pager_position'];
         $this->view->date_info->date_pager_format = $this->options['link_format'];
         $this->view->date_info->skip_empty_pages = $this->options['skip_empty_pages'] == 1;
-        // Execute two additional queries to find
-        // the previous and next page with values.
+
+        // Execute two additional queries to find the previous and next page
+        // with values.
         if ($this->view->date_info->skip_empty_pages) {
           $q = clone $argument->query;
           $field = $argument->table_alias . '.' . $argument->real_field;
@@ -217,8 +205,8 @@ class date_views_plugin_pager extends views_plugin_pager {
           $q->set_distinct(TRUE, TRUE);
           // Date limits of this argument.
           $datelimits = $argument->date_handler->arg_range($argument->limit[0] . '--' . $argument->limit[1]);
-          // Find the first two dates between the minimum date
-          // and the upper bound of the current value.
+          // Find the first two dates between the minimum date and the upper
+          // bound of the current value.
           $q->add_orderby(NULL, $fieldsql, 'DESC', 'date');
           $this->set_argument_placeholders($this->view->date_info->placeholders, $datelimits[0], $argument->max_date, $q, $format);
 
@@ -243,7 +231,7 @@ class date_views_plugin_pager extends views_plugin_pager {
           // Set the default value of the query to $prevfirst or $nextfirst
           // when there is no value and $prevsecond or $nextsecond is set.
           if (empty($value)) {
-            // @Todo find out which of $prevdate or $nextdate is closest to the
+            // @todo find out which of $prevdate or $nextdate is closest to the
             // default argument date value and choose that one.
             if ($prevdate && $prevdatealt) {
               $this->set_argument_value($argument, $prevdate);
@@ -269,8 +257,8 @@ class date_views_plugin_pager extends views_plugin_pager {
             }
           }
           else {
-            // $prevdate and $nextdate are the same as $value, so move to
-            // the next values.
+            // $prevdate and $nextdate are the same as $value, so move to the
+            // next values.
             $prevdate = $prevdatealt;
             $nextdate = $nextdatealt;
           }
@@ -279,9 +267,9 @@ class date_views_plugin_pager extends views_plugin_pager {
           $this->view->date_info->next_date = $nextdate ? new DateObject($nextdate, NULL, $format) : NULL;
         }
         else {
-          $this->view->date_info->prev_date = clone($argument->min_date);
+          $this->view->date_info->prev_date = clone $argument->min_date;
           date_modify($this->view->date_info->prev_date, '-1 ' . $argument->date_handler->granularity);
-          $this->view->date_info->next_date = clone($argument->min_date);
+          $this->view->date_info->next_date = clone $argument->min_date;
           date_modify($this->view->date_info->next_date, '+1 ' . $argument->date_handler->granularity);
         }
         // Write the date_info properties that depend on the current value.
@@ -296,14 +284,17 @@ class date_views_plugin_pager extends views_plugin_pager {
       $i++;
     }
 
-    // Is this a view that needs to be altered based on a pager value?
-    // If there is pager input and the argument has set the placeholders,
-    // swap the pager value in for the placeholder set by the argument.
+    // Is this a view that needs to be altered based on a pager value? If there
+    // is pager input and the argument has set the placeholders, swap the pager
+    // value in for the placeholder set by the argument.
     if (!empty($value) && !empty($this->view->date_info->placeholders)) {
       $this->set_argument_placeholders($this->view->date_info->placeholders, $this->view->date_info->min_date, $this->view->date_info->max_date, $this->view->query, $format);
     }
   }
 
+  /**
+   * {@inheritdoc}
+   */
   function set_argument_value($argument, $value) {
     $argument->argument = $value;
     $argument->date_range = $argument->date_handler->arg_range($value);
@@ -314,6 +305,9 @@ class date_views_plugin_pager extends views_plugin_pager {
     $argument->is_default = FALSE;
   }
 
+  /**
+   * {@inheritdoc}
+   */
   function set_argument_placeholders($placeholders, $mindate, $maxdate, $query, $format) {
     $count = count($placeholders);
     foreach ($query->where as $group => $data) {
@@ -321,8 +315,8 @@ class date_views_plugin_pager extends views_plugin_pager {
         if (array_key_exists('value', $condition) && is_array($condition['value'])) {
           foreach ($condition['value'] as $placeholder => $placeholder_value) {
             if (array_key_exists($placeholder, $placeholders)) {
-              // If we didn't get a match, this is a > $min < $max query that uses the view
-              // min and max dates as placeholders.
+              // If we didn't get a match, this is a > $min < $max query that
+              // uses the view min and max dates as placeholders.
               $date = ($count == 2) ? $mindate : $maxdate;
               $next_placeholder = array_shift($placeholders);
               $query->where[$group]['conditions'][$delta]['value'][$placeholder] = $date->format($format);
@@ -335,7 +329,7 @@ class date_views_plugin_pager extends views_plugin_pager {
   }
 
   /**
-   * Add a callback to determine if we have moved outside the valid date range for this argument.
+   * Determine if we have moved outside the valid date range for this argument.
    */
   function date_forbid($argument) {
     // See if we're outside the allowed date range for our argument.
@@ -346,11 +340,22 @@ class date_views_plugin_pager extends views_plugin_pager {
     return FALSE;
   }
 
+  /**
+   * {@inheritdoc}
+   */
+  function pre_render(&$result) {
+    // Load theme functions for the pager.
+    module_load_include('inc', 'date_views', 'theme/theme');
+  }
 
+  /**
+   * {@inheritdoc}
+   */
   function render($input) {
-    // This adds all of our template suggestions based upon the view name and display id.
+    // This adds all of our template suggestions based upon the view name and
+    // display id.
     $pager_theme = views_theme_functions('date_views_pager', $this->view, $this->display);
     return theme($pager_theme, array('plugin' => $this, 'input' => $input));
   }
+
 }
-// @codingStandardsIgnoreEnd
